Get Response Attachment
curl --request GET \
--url https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}")
.header("Authorization", "Bearer <token>")
.asString();{}{
"status_code": 404,
"error": "Task or attachment not found."
}{
"status_code": 500,
"error": "An error has occurred."
}Tasks
Get Response Attachment
Retrieve a Dataset Task response attachment. Response attachment URLs can be found in the response object of a Dataset Task and only exist in some datasets.
GET
/
v2
/
datasets
/
task
/
{task_id}
/
response_url
/
{attachment_id}
Get Response Attachment
curl --request GET \
--url https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scale.com/v2/datasets/task/{task_id}/response_url/{attachment_id}")
.header("Authorization", "Bearer <token>")
.asString();{}{
"status_code": 404,
"error": "Task or attachment not found."
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Path Parameters
Scale's unique identifier for the task. Unique identifier for a task
Example:
"task_abc123"
Unique identifier for an attachment.
Response
Redirect to download the attachment URL content.
The response is of type object.

